### File

`packages/ecl/components/ecl-mega-menu/services/ecl-mega-menu-data.service.ts`

### Index

###### Properties
Public eclMegaMenuInfoBottomYSubject$ Public eclSubItemClicked$ Public eclSubItemEscape$ Public eclSubItemExpanded$
###### Methods
eclSubItemClick eclSubItemEscapeEvent eclSubItemToggle updateEclMegaMenuInfoSize

### Constructor

`constructor()`

### Methods

eclSubItemClick
`eclSubItemClick(item: EclMegaMenuItem)`
Parameters :
Name | Type | Optional
item | `EclMegaMenuItem` | No
Returns : `void`

eclSubItemEscapeEvent
`eclSubItemEscapeEvent(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

eclSubItemToggle
`eclSubItemToggle(isExpanded: boolean)`
Parameters :
Name | Type | Optional
isExpanded | `boolean` | No
Returns : `void`

updateEclMegaMenuInfoSize
`updateEclMegaMenuInfoSize(value: number)`
Used to synchronize size of the info panel and sublist. Parameters :
Name | Type | Optional
value | `number` | No
Returns : `void`

### Properties

Public eclMegaMenuInfoBottomYSubject$
Type : `Observable<number>`

Public eclSubItemClicked$
Type : `Observable<EclMegaMenuItem>`

Public eclSubItemEscape$
Type : `Observable<boolean>`

Public eclSubItemExpanded$
Type : `Observable<boolean>`

# results matching ""

# No results matching ""